package com.sky.ioc.controller.carbon;

import com.sky.ioc.entity.params.IocParam;
import com.sky.ioc.service.carbon.CarbonService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/** 数智双碳----双碳概览
 * @author LunCe*/
@Api(tags ="数智双碳----双碳概览")
@Slf4j
@RestController
@RequestMapping("/carbon")
public class CarbonController {

    @Autowired
    private CarbonService carbonService;

    @ApiOperation("核心指标")
    @PostMapping("/getCarbonCoreIndicators")
    public ReturnMsg getFloorCoreIndicators(@RequestBody IocParam iocParam){
        return carbonService.getFloorCoreIndicators(iocParam);
    }

    @ApiOperation("碳排放分析")
    @PostMapping("/getCarbonInfo")
    public ReturnMsg getCarbonInfo(@RequestBody IocParam iocParam){
        return carbonService.getCarbonInfo(iocParam);
    }




    @ApiOperation("碳配额构成")
    @PostMapping("/getCarbonQuotaComposition")
    public ReturnMsg getCarbonQuotaComposition(@RequestBody IocParam iocParam){
        return carbonService.getCarbonQuotaComposition(iocParam);
    }



    @ApiOperation("双碳新闻")
    @PostMapping("/getCarbonNews")
    public ReturnMsg getCarbonNews(@RequestBody IocParam iocParam){
        return carbonService.getCarbonNews(iocParam);
    }

    @ApiOperation("碳排放占比")
    @PostMapping("/getCarbonProportion")
    public ReturnMsg getCarbonProportion(@RequestBody IocParam iocParam){
        return carbonService.getCarbonProportion(iocParam);
    }




}
